VLCKit: VLCStreamSession Class Reference

VLCKit

Instance Methods | Class Methods | List of all members
VLCStreamSession Class Reference

`#import <VLCStreamSession.h>`

Inheritance diagram for VLCStreamSession:

## Instance Methods
(VLCStreamOutput *streamOutput) | - __attribute__
(BOOL isComplete) | - __attribute__
(NSUInteger reattemptedConnections) | - __attribute__
((deprecated) | - __attribute__
((deprecated) | - __attribute__
Instance Methods inherited from VLCMediaPlayer
(instancetype) | - initWithVideoView:
(instancetype) | - initWithVideoLayer:
(instancetype) | - initWithOptions:
(instancetype) | - initWithLibVLCInstance:andLibrary:
(void) | - setVideoView:
(void) | - setVideoLayer:
(void) | - saveVideoSnapshotAt:withWidth:andHeight:
(void) | - setDeinterlaceFilter:
(void) | - setDeinterlace:withFilter:
(BOOL) | - openVideoSubTitlesFromFile:
(typedef) | - NS_ENUM
(int) | - addPlaybackSlave:type:enforce:
(void) | - previousChapter
(void) | - nextChapter
(int) | - numberOfChaptersForTitle:
(NSArray *) | - chaptersForTitleIndex:
(NSArray *) | - chapterDescriptionsOfTitle:
(void) | - resetEqualizerFromProfile:
(CGFloat) | - frequencyOfBandAtIndex:
(void) | - setAmplification:forBand:
(CGFloat) | - amplificationOfBand:
(void) | - play
(void) | - pause
(void) | - stop
(void) | - gotoNextFrame
(void) | - fastForward
(void) | - fastForwardAtRate:
(void) | - rewind
(void) | - rewindAtRate:
(void) | - jumpBackward:
(void) | - jumpForward:
(void) | - extraShortJumpBackward
(void) | - extraShortJumpForward
(void) | - shortJumpBackward
(void) | - shortJumpForward
(void) | - mediumJumpBackward
(void) | - mediumJumpForward
(void) | - longJumpBackward
(void) | - longJumpForward
(void) | - performNavigationAction:
(BOOL) | - updateViewpoint:pitch:roll:fov:absolute:
(BOOL) | - startRecordingAtPath:
(BOOL) | - stopRecording
(BOOL) | - setRendererItem:

## Class Methods
((deprecated) | + __attribute__

## Additional Inherited Members
Public Attributes inherited from VLCMediaPlayer
NSString *const | VLCChapterDescriptionName
NSString *const | VLCChapterDescriptionTimeOffset
NSString *const | VLCChapterDescriptionDuration
NSString *const | VLCTitleDescriptionDuration
NSString *const | VLCTitleDescriptionIsMenu
Properties inherited from VLCMediaPlayer
VLCLibrary * | libraryInstance
id< VLCMediaPlayerDelegate > | delegate
id | drawable
char * | videoAspectRatio
char * | videoCropGeometry
float | scaleFactor
BOOL | adjustFilterEnabled
float | contrast
float | brightness
float | hue
float | saturation
float | gamma
float | rate
VLCAudio * | audio
CGSize | videoSize
BOOL | hasVideoOut
VLCTime * | time
VLCTime * | remainingTime
int | currentVideoTrackIndex
NSArray * | videoTrackNames
NSArray * | videoTrackIndexes
int | numberOfVideoTracks
int | currentVideoSubTitleIndex
NSArray * | videoSubTitlesNames
NSArray * | videoSubTitlesIndexes
int | numberOfSubtitlesTracks
NSInteger | currentVideoSubTitleDelay
int | currentChapterIndex
int | currentTitleIndex
int | numberOfTitles
NSString *const | VLCTitleDescriptionName
NSArray * | titleDescriptions
int | indexOfLongestTitle
int | currentAudioTrackIndex
NSArray * | audioTrackNames
NSArray * | audioTrackIndexes
int | numberOfAudioTracks
int | audioChannel
NSInteger | currentAudioPlaybackDelay
VLCMediaLoudness * | momentaryLoudness
NSArray * | equalizerProfiles
BOOL | equalizerEnabled
CGFloat | preAmplification
unsigned | numberOfBands
VLCMedia * | media
float | yaw
float | pitch
float | roll
float | fov
BOOL | playing
BOOL | willPlay
VLCMediaPlayerState | state
float | position
BOOL | seekable
BOOL | canPause
NSArray * | snapshots
NSImage * | lastSnapshot

## Detailed Description

control class for streaming sessions

## Method Documentation

## ◆ __attribute__ [1/6]

- (VLCStreamOutput* streamOutput) __attribute__ |  | ((deprecated)) |  |

Deprecated:
  will be removed in the next release

Implements VLCMediaPlayer.

## ◆ __attribute__ [2/6]

- (BOOL isComplete) __attribute__ |  | ((deprecated)) |  |

Deprecated:
  will be removed in the next release

Implements VLCMediaPlayer.

## ◆ __attribute__ [3/6]

- (NSUInteger reattemptedConnections) __attribute__ |  | ((deprecated)) |  |

Deprecated:
  will be removed in the next release

Implements VLCMediaPlayer.

## ◆ __attribute__ [4/6]

+ ((deprecated) __attribute__ |  |  |

Deprecated:
  will be removed in the next release

## ◆ __attribute__ [5/6]

- ((deprecated) __attribute__ |  |  |

Deprecated:
  will be removed in the next release

## ◆ __attribute__ [6/6]

- ((deprecated) __attribute__ |  |  |

Deprecated:
  will be removed in the next release

The documentation for this class was generated from the following file:

- Headers/Public/VLCStreamSession.h